package tech.xiongweixp.handwriting;

import java.io.BufferedReader;
import java.io.ByteArrayInputStream;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.net.Socket;

import java.util.Base64;


import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet("/receive")
public class HandWritingServlet extends HttpServlet{

	private static final int BUFFER_SIZE = 1024;
    /**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// 172.17.0.1为宿主机docker0的ip
		try (Socket socket = new Socket("172.17.0.1",8123)) {
			BufferedReader reader = request.getReader();
			String msg="";
			String line;
			while((line=reader.readLine())!=null){
				msg+=line;
			}
			
			 
			String imgbase64 = msg.substring(msg.indexOf(",")+1);
			// getServletContext().log("收到内容："+imgbase64);
			// base64ToFile(imgbase64);
			int len=imgbase64.length();
			byte[] lenbyte = intToByte4(len);
			getServletContext().log("len:"+len);
			
			socket.getOutputStream().write(lenbyte);
			// ByteArrayInputStream bais=new ByteArrayInputStream(imgbase64.getBytes());
			
			// while (len>0){
			// 	if(len>=BUFFER_SIZE){
			// 		socket.getOutputStream().write(bais.readNBytes(BUFFER_SIZE));
			// 		len -= BUFFER_SIZE;
			// 	}else{
			// 		socket.getOutputStream().write(bais.readNBytes(len));
			// 		len = 0;
			// 		break;
			// 	}
			// }
			// bais.close();
			socket.getOutputStream().write(imgbase64.getBytes());

			byte[] result = socket.getInputStream().readAllBytes();
			String recond = new String(result);
			getServletContext().log("result： "+ recond);
		
			response.setContentType("text/html; charset=UTF-8");
			response.setCharacterEncoding("UTF-8");
			response.getWriter().write(recond);
			response.getWriter().flush();
			// FileOutputStream fos = new FileOutputStream("testOutput.png");
			// fos.write(decodedData);
			// fos.close();
			getServletContext().log("deal finish!");
		} catch(IOException e) {
			// Handle exceptions
			e.printStackTrace();
		}
    }

    	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		doGet(request, response);
	}

	private byte[] intToByte4(int i) {
        byte[] targets = new byte[4];
        targets[3] = (byte) (i & 0xFF);
        targets[2] = (byte) (i >> 8 & 0xFF);
        targets[1] = (byte) (i >> 16 & 0xFF);
        targets[0] = (byte) (i >> 24 & 0xFF);
		// ByteOrder order = ByteOrder.BIG_ENDIAN;
		// byte[] targets = ByteBuffer.allocate(4).order(order).putInt(i).array();
        return targets;
    }


	private void base64ToFile(String base64str){ 
	    System.out.println("base64 to file ...."); 
	    if(base64str==null||"".equals(base64str)){
	        return ;
	    }
	    byte[] buff=Base64.getDecoder().decode(base64str);
	    File file=null;
	    FileOutputStream fout=null;
	    try {
	        file=new File("webapps/test.png");
	        fout=new FileOutputStream(file);
	        fout.write(buff);
	        } catch (Exception e) {
			
	        }
	    if(fout!=null){
	    	try {
	        	fout.close();
	    	} catch (Exception e) {
			}
		}	
	
	}

}